//---------------------------------------------------------------------------
// this is a tool file for WebLinkCaptor
//---------------------------------------------------------------------------





//---------------------------------------------------------------------------

@

@id = search_bing_allweb_mouser
@label = Bing.com Full Web Search
@path = Core
@type = search
@info =
This script will use Bing.com to search the entire internet.  Thank you Microsoft for providing this interface<br/>
<br/>
Options:
<ul>
<li><b>--urlargs "MORE_URL_ARGS"</b> - Optional; allows you to pass more url parameters (e.g. --urlargs "num=10&cr=countryCA")</li>
</ul>

//
@commandlineapp = %TOOLSDIR%\scripts\core\search_rssos.py
@startingargs = --cachedir "%CACHEDIR%" --cacheminutes "%CACHEAGE%" --urltemplate "http://search.live.com/results.aspx?q={searchTerms}&format=rss"
@embeddable=pythonapiv1



@

@id = search_osbing_amazon_mouser
@label = Opensearch (Amazon.com only, via Bing.com)
@path = Core
@type = search
@info =
This script will search an opensearch compatible search engine.<br/>
<br/>
Options:
<ul>
<li><b>--urlargs "MORE_URL_ARGS"</b> - Optional; allows you to pass more url parameters (e.g. --urlargs "num=10&cr=countryCA")</li>
</ul>

//
@commandlineapp = %TOOLSDIR%\scripts\core\search_rssos.py
@startingargs = --cachedir "%CACHEDIR%" --cacheminutes "%CACHEAGE%" --urltemplate "http://search.live.com/results.aspx?q={searchTerms}+site:www.amazon.com&format=rss"
@embeddable=pythonapiv1



@

@id = search_osbing_wikipedia_mouser
@label = Opensearch (Wikipedia.org only, via Bing.com)
@path = Core
@type = search
@info =
This script will search an opensearch compatible search engine.<br/>
<br/>
Options:
<ul>
<li><b>--urlargs "MORE_URL_ARGS"</b> - Optional; allows you to pass more url parameters (e.g. --urlargs "num=10&cr=countryCA")</li>
</ul>

//
@commandlineapp = %TOOLSDIR%\scripts\core\search_rssos.py
@startingargs = --cachedir "%CACHEDIR%" --cacheminutes "%CACHEAGE%" --urltemplate "http://search.live.com/results.aspx?q={searchTerms}+site:en.wikipedia.org&format=rss"
@embeddable=pythonapiv1


@

@id = search_osbing_custom_mouser
@label = Opensearch (Custom feed url)
@path = Core
@type = search
@info =
This script will search an opensearch compatible search engine.<br/>
<br/>
Options:
<ul>
<li><b>--urltemplate "URL HERE"</b> - Secify the url for the opensearch engine you wish to query by using option, where {searchTerms} stands in for search phrase.</li>
<li><b>--urlargs "MORE_URL_ARGS"</b> - Optional; allows you to pass more url parameters (e.g. --urlargs "num=10&cr=countryCA")</li>
</ul>

//
@commandlineapp = %TOOLSDIR%\scripts\core\search_rssos.py
@startingargs = --cachedir "%CACHEDIR%" --cacheminutes "%CACHEAGE%"
@embeddable=pythonapiv1

//---------------------------------------------------------------------------





//---------------------------------------------------------------------------

@

@id = search_googleweb_mouser
@label = Google - Web Search API (Deprecated but no key required)
@path = Core
@type = search
@info =
This script will search google using their deprecated web search api, which does not require a key and searches the entire web.<br/>
<br/>
Options:
<ul>
<li><b>--key "YOURKEYHERE"</b> - Optional; you can optionally provide a google api key by using option.</li>
<li><b>--num "#_OF_RESULTS_TO_GET"</b> - Optional; you can request UP TO 8 (no more or it wont succeed) results; default is 4.</li>
<li><b>--urlargs "MORE_URL_ARGS"</b> - Optional; allows you to pass more url parameters (e.g. --urlargs "cr=countryCA&othervar=val")</li>
</ul>

See also the <a href="http://www.google.com/cse/docs/resultsxml.html">Google API reference web page</a>.<br/>
See also the <a href="http://code.google.com/apis/websearch/docs/reference.html">Google WebSearch API reference web page</a>.
//
@commandlineapp = %TOOLSDIR%\scripts\core\search_googlewebapi.py
@startingargs = --cachedir "%CACHEDIR%" --cacheminutes "%CACHEAGE%"
@embeddable=pythonapiv1

@

@id = search_googleapi_mouser
@label = Google - Custom Search API (Requires API key code)
@path = Core
@type = search
@info =
This script will search google using their new custom search api, which requires a key, and only works on predefined "cx" search sets (domains).  You can only make 100 queries or pay google to do more.  Gee thanks how generous.<br/>
<br/>
Options:
<ul>
<li><b>--key "YOURKEYHERE"</b> - Your google web search api key.</li>
<li><b>--cx "YOURCXSAVEDSEARCHIDHERE"</b> - Custom Search Engine (cx) id. (Optional; if not specified the entire web will be searched)</li>
</ul>
<br/>
To get your free API key to conduct searches, visit: <a href="http://code.google.com/apis/customsearch/v1/getting_started.html">Google Custom Search API page</a> and read the section labeled "Acquiring and using an API key".<br/>
<br/>
To create custom cx search sets, visit: <a href="http://www.google.com/cse/manage/create">Google Custom Search Config Page</a>.  (Sampled cx to limit search to donationcoder.com is "001099011188031881746:_kqigwsah-s")<br/>
<br/>
Commentary: Google is rapidly becoming a very unpleasant and negative presence on the internet.

//
@commandlineapp = %TOOLSDIR%\scripts\core\search_googlecustomapi.py
@startingargs = --cachedir "%CACHEDIR%" --cacheminutes "%CACHEAGE%"
@embeddable=pythonapiv1
//---------------------------------------------------------------------------





