#-------------------------------------------------------------------------------
# Name:        post process, scoremod
#-------------------------------------------------------------------------------
#!/usr/bin/env python






#-------------------------------------------------------------------------------
# imports we need
# include top level directory (needed to import from helper below)
import sys
import os
#-------------------------------------------------------------------------------



#-------------------------------------------------------------------------------
# add parent directory to path
curpath = os.path.dirname(os.path.realpath(__file__))
parpath = os.path.normpath(os.path.join(curpath, ".."))
sys.path.append(parpath)

# import the parent classes
from TProcess import *
#-------------------------------------------------------------------------------













#---------------------------------------------------------------------------
class TPostFilter_ScoreMod(TProcess):

    def __init__(self):
        # parent init
        super(TPostFilter_ScoreMod, self).__init__()

    def __del__(self):
        pass


    def ParseDerivedCommandlineArgs(self):
        self.helper.get_parser().add_option("", "--add", dest="add", help="value to add")
        self.helper.get_parser().add_option("", "--subtract", dest="subtract", help="value to subtract")
        # add match options
        self.helper.Handle_Match_ParseDerivedCommandlineArgs()

    def RunWithCommandlineOptions(self,comlineargs):
        # parse commandline using helper
        self.DoParseCommandline(comlineargs)
        # build extraargs
        extraargs = {}
        extraargs["add"]=int(self.helper.get_arg("add","0",False))
        extraargs["subtract"]=int(self.helper.get_arg("subtract","0",False))
        # preprocess match options
        self.helper.Handle_Match_DoCommandlineOptionsProcess(extraargs)
        # run it
        retv = self.DoWork(self.helper.get_filein(),self.helper.get_fileout(),extraargs)
        return retv




    # overridden

    def DoProcessLineDict(self,linedict,extraargs):
        # manipulate the linedict in any way one wants

        # match check? we only continue if we match
        if (not self.helper.DoMatchTest_OnCompiledMatchArg(extraargs,linedict)):
            return linedict;

        # ok now the score
        if (not "score" in linedict):
            return linedict

        score=int(linedict["score"])
        score = score + extraargs["add"] - extraargs["subtract"]
        linedict["score"]=str(score)

        return linedict
#---------------------------------------------------------------------------















































#---------------------------------------------------------------------------
def main(comlineargs=None):
    # make object
    postfilter = TPostFilter_ScoreMod()

    # and ask it to run with commandline options
    return postfilter.RunWithCommandlineOptions(comlineargs)
#---------------------------------------------------------------------------









#-------------------------------------------------------------------------------
if __name__ == '__main__':
    main()
#-------------------------------------------------------------------------------


