#-------------------------------------------------------------------------------
# Name:        process, add
#-------------------------------------------------------------------------------
#!/usr/bin/env python






#-------------------------------------------------------------------------------
# imports we need
# include top level directory (needed to import from helper below)
import sys
import os
#-------------------------------------------------------------------------------



#-------------------------------------------------------------------------------
# add parent directory to path
curpath = os.path.dirname(os.path.realpath(__file__))
parpath = os.path.normpath(os.path.join(curpath, ".."))
sys.path.append(parpath)

# import the parent classes
from TProcess import *
#-------------------------------------------------------------------------------


















#---------------------------------------------------------------------------
class TProcess_Add(TProcess):

    def __init__(self):
        # parent init
        super(TProcess_Add, self).__init__()

    def __del__(self):
        pass


    def ParseDerivedCommandlineArgs(self):
        self.helper.get_parser().add_option("", "--prefix", dest="prefix", help="prefix to add")
        self.helper.get_parser().add_option("", "--suffix", dest="suffix", help="suffix to add")
        # add target options
        self.helper.Handle_Target_ParseDerivedCommandlineArgs()
        # add match options
        self.helper.Handle_Match_ParseDerivedCommandlineArgs()


    def RunWithCommandlineOptions(self,comlineargs):
        # parse commandline using helper
        self.DoParseCommandline(comlineargs)
        # build extraargs
        extraargs = {}
        extraargs["prefix"]=self.helper.get_arg("prefix","",False)
        extraargs["suffix"]=self.helper.get_arg("suffix","",False)
        # preprocess target options
        self.helper.Handle_Target_DoCommandlineOptionsProcess(extraargs,"ALL")
        # preprocess match options
        self.helper.Handle_Match_DoCommandlineOptionsProcess(extraargs)
        # run it
        retv = self.DoWork(self.helper.get_filein(),self.helper.get_fileout(),extraargs)
        return retv




    # overridden

    def DoProcessLineDict(self,linedict,extraargs):
        # manipulate the linedict in any way one wants

        # match check? we only continue if we match
        if (not self.helper.DoMatchTest_OnCompiledMatchArg(extraargs,linedict)):
            return linedict;

        targetlist = extraargs["targetlist"]

        # ok now the rest
        for tl in targetlist:
            if (tl in linedict):
                linedict[tl]=extraargs["prefix"]+linedict[tl]+extraargs["suffix"]

        return linedict
#---------------------------------------------------------------------------















































#---------------------------------------------------------------------------
def main(comlineargs=None):
    # make object
    processor = TProcess_Add()

    # and ask it to run with commandline options
    return processor.RunWithCommandlineOptions(comlineargs)
#---------------------------------------------------------------------------









#-------------------------------------------------------------------------------
if __name__ == '__main__':
    main()
#-------------------------------------------------------------------------------


