#-------------------------------------------------------------------------------
# Name:        process, regex replace
#-------------------------------------------------------------------------------
#!/usr/bin/env python






#-------------------------------------------------------------------------------
# imports we need
# include top level directory (needed to import from helper below)
import sys
import os
#-------------------------------------------------------------------------------



#-------------------------------------------------------------------------------
# add parent directory to path
curpath = os.path.dirname(os.path.realpath(__file__))
parpath = os.path.normpath(os.path.join(curpath, ".."))
sys.path.append(parpath)

# import the parent classes
from TProcess import *
#-------------------------------------------------------------------------------


















#---------------------------------------------------------------------------
class TProcess_ReplaceRegex(TProcess):

    def __init__(self):
        # parent init
        super(TProcess_ReplaceRegex, self).__init__()

    def __del__(self):
        pass


    def ParseDerivedCommandlineArgs(self):
        self.helper.get_parser().add_option("", "--find", dest="find", help="regex to find")
        self.helper.get_parser().add_option("", "--replace", dest="replace", help="text to replace with")
        # add target options
        self.helper.Handle_Target_ParseDerivedCommandlineArgs()
        # add match options
        self.helper.Handle_Match_ParseDerivedCommandlineArgs()


    def RunWithCommandlineOptions(self,comlineargs):
        # parse commandline using helper
        self.DoParseCommandline(comlineargs)
        # build extraargs
        extraargs = {}
        extraargs["find"]=self.helper.get_arg("find","",True)
        extraargs["_compiledfind"]=self.helper.BuildRegexObjectOrNone(extraargs["find"],re.IGNORECASE)
        extraargs["replace"]=self.helper.get_arg("replace","",False)
        # preprocess target options
        self.helper.Handle_Target_DoCommandlineOptionsProcess(extraargs,"ALL")
        # preprocess match options
        self.helper.Handle_Match_DoCommandlineOptionsProcess(extraargs)
        # run it
        retv = self.DoWork(self.helper.get_filein(),self.helper.get_fileout(),extraargs)
        return retv




    # overridden

    def DoProcessLineDict(self,linedict,extraargs):
        # manipulate the linedict in any way one wants

        # match check? we only continue if we match
        if (not self.helper.DoMatchTest_OnCompiledMatchArg(extraargs,linedict)):
            return linedict;

        targetlist = extraargs["targetlist"]
        compiledfind = extraargs["_compiledfind"]

        # ok now the rest
        for tl in targetlist:
            if (tl in linedict):
                linedict[tl]=re.sub(compiledfind, extraargs["replace"], linedict[tl])

        return linedict
#---------------------------------------------------------------------------















































#---------------------------------------------------------------------------
def main(comlineargs=None):
    # make object
    processor = TProcess_ReplaceRegex()

    # and ask it to run with commandline options
    return processor.RunWithCommandlineOptions(comlineargs)
#---------------------------------------------------------------------------









#-------------------------------------------------------------------------------
if __name__ == '__main__':
    main()
#-------------------------------------------------------------------------------


